algebra-3.1: Constructive abstract algebra

Safe Haskell | Safe-Inferred

Numeric.Order.Class

# Documentation

class Order a where Source

Methods

(<~) :: a -> a -> Bool Source

(<) :: a -> a -> Bool Source

(>~) :: a -> a -> Bool Source

(>) :: a -> a -> Bool Source

(~~) :: a -> a -> Bool Source

(/~) :: a -> a -> Bool Source

order :: a -> a -> Maybe Ordering Source

comparable :: a -> a -> Bool Source

Instances

Order Bool |
Order Int |
Order Int8 |
Order Int16 |
Order Int32 |
Order Int64 |
Order Integer |
Order Word |
Order Word8 |
Order Word16 |
Order Word32 |
Order Word64 |
Order () |
Order Natural |
Ord a => Order (Set a) |
(Order a, Order b) => Order (a, b) |
(Order a, Order b, Order c) => Order (a, b, c) |
(Order a, Order b, Order c, Order d) => Order (a, b, c, d) |
(Order a, Order b, Order c, Order d, Order e) => Order (a, b, c, d, e) |

orderOrd :: Ord a => a -> a -> Maybe Ordering Source